> For the complete documentation index, see [llms.txt](https://guia.fenicio.help/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://guia.fenicio.help/developers/api-integracion-de-logistica/servicios/get-time-slots.md).

# Get Time Slots

En el caso de que el servicio de logística cuente con la opción de envíos coordinados (el comprador puede seleccionar día y horario de entrega) es posible pre cargar las franjas de entrega en Fenicio. Esto permitirá al comercio indicar mediante configuración qué franjas poner a disposición a sus compradores.&#x20;

Para obtener las franjas de entrega se invocará al servicio externo.&#x20;

Tener en cuenta que esta acción se realiza al configurar el tipo de envío en Fenicio y no durante el proceso de compra. Por lo tanto, se obtienen las franjas y estas quedan configuradas hasta que un administrador de la tienda decida volver a solicitarlas.

<table><thead><tr><th width="128">Method </th><th>Endpoint</th></tr></thead><tbody><tr><td><code>POST</code></td><td>https://{ApiURL}/getTimeSlots</td></tr></tbody></table>

## Request

<table><thead><tr><th width="170">Clave</th><th width="152">Tipo</th><th>Descripción</th></tr></thead><tbody><tr><td><strong><code>serviceType</code></strong></td><td><a href="/pages/LjX6E6o8pT0EpYonxgLH#service-type"><strong>ServiceType</strong></a></td><td>Tipo de servicio.</td></tr></tbody></table>

## Response

<table><thead><tr><th width="171">Clave</th><th width="154">Tipo</th><th>Descripción</th></tr></thead><tbody><tr><td><strong><code>timeSlots</code></strong></td><td>List&#x3C;<a href="#time-slot"><strong>TimeSlot</strong></a>></td><td>Franjas de entrega predefinidas.</td></tr></tbody></table>

## Time Slot

<table><thead><tr><th width="176">Clave</th><th width="157">Tipo</th><th>Descripción</th></tr></thead><tbody><tr><td><strong><code>day</code></strong></td><td>Int</td><td>Día de la semana en formato ISO. Desde <code>1</code> para lunes hasta <code>7</code> para domingo.</td></tr><tr><td><strong><code>from</code></strong></td><td><a href="/pages/LjX6E6o8pT0EpYonxgLH#datetime"><strong>DateTime</strong></a></td><td>Hora comienzo de la franja.</td></tr><tr><td><strong><code>to</code></strong></td><td><a href="/pages/LjX6E6o8pT0EpYonxgLH#datetime"><strong>DateTime</strong></a></td><td>Hora fin de la franja.</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://guia.fenicio.help/developers/api-integracion-de-logistica/servicios/get-time-slots.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
